---
stages:
  - test

before_script:
  - apt-get update -qy
  - apt-get install -y python python-pip
  - pip install --upgrade cfn-lint ansible ansible-lint yamllint
  - "ansible all -i 'localhost,' -c local -m template -a 'src=templates/cf-sqs.yaml.j2 dest=./test.yaml' --extra-vars=@defaults/main.yml --extra-vars='{\"queues\": {\"queue1\": {\"queuename\": \"{{ slicename | default(environment_abbr) }}-default-queue1\", \"deadletterqueue\": True}, \"queue2\": {\"queuename\": \"queue2\"} }, \"slicename\": \"tst1\"}'"

test:
  stage: test
  script:
    - find . -regextype posix-extended -regex '.*\.y(a)?ml' -exec yamllint "{}" +
    - find . -name *.yaml -exec cfn-lint "{}" +
    - ansible-lint .
